> For the complete documentation index, see [llms.txt](https://docs.zebec.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zebec.io/zebec-silver-card/silver-card-sdk/recipient-fields.md).

# Recipient Fields

To create a valid `Recipient` instance, provide the following details:

* **participantId** (alphanumeric string): Unique identifier for the buyer end user. 1-20 chars.
* **firstName**, **lastName** (string): Participant's full name.
* **emailAddress** (string): Contact email. 1-80 chars
* **mobilePhone** (string): Mobile number with country code.
* **language** (string): Language code (e.g., `"en-US"`).
* **city**, **state**, **postalCode** (string): Location details.
* **countryCode** (CountryCode enum): ISO 3166-1 alpha-3 country code.
* **address1** (string): Street address. (max 50 chars)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zebec.io/zebec-silver-card/silver-card-sdk/recipient-fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
